<?php

/**
 * Created by PhpStorm.
 * User: jderosa
 * Date: 24/02/20
 * Time: 7.50
 */

namespace FiloBlu\Rma\Api;

/**
 *
 */
interface RmaExtensionAttributesRepositoryInterface
{
    /**
     * @var string
     */
    const TABLE_NAME = 'filoblu_rma_items';

    /**
     * @param int $rmaItemId
     * @return bool|int
     */
    public function getChangeSizeOrderId(int $rmaItemId);

    /**
     * @param int $rmaItemId
     * @param int $orderId
     * @return bool
     */
    public function setChangeSizeOrderId(int $rmaItemId, int $orderId);

    /**
     * @param $rmaType
     * @return mixed
     */
    public function setRmaType($rmaType);

    /**
     * @return mixed
     */
    public function getRmaType();
}
